GCLOUD_KMS_KEYS_GET-IAM-POLICY(1)

NAME

gcloud kms keys get-iam-policy - get the IAM policy for a key

SYNOPSIS

gcloud kms keys get-iam-policy KEY [--keyring=KEYRING] [--location=LOCATION] [GLOBAL-FLAG ...]

DESCRIPTION
Gets the IAM policy for the given key. Returns an empty policy if the resource does not have a policy set.

POSITIONAL ARGUMENTS

    KEY Name of the key whose IAM policy to fetch.

FLAGS

    --keyring=KEYRING
        The containing keyring.

    --location=LOCATION
        The location of the requested resource.

GLOBAL FLAGS
Run $ gcloud help for a description of flags available to all commands.

EXAMPLES
The following command gets the IAM policy for the key frodo within the keyring fellowship and location global:
    $ gcloud kms keys get-iam-policy frodo --keyring fellowship \
        --location global